aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2012-02-12 16:56:02 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2012-02-12 16:56:02 +0000
commit17f3eeaadf2ebdf8fd3371a8db56b3c504042a29 (patch)
tree751f6a105a3f348be24f9fef4c3579b788be7630 /scripts
parent8cbd3e747da29ae1b95df9a03a8607cd497fe87e (diff)
updated script to handle svn:externals as used in pd-extended releases
svn path=/trunk/; revision=15963
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/update-developer-layout.sh24
1 files changed, 13 insertions, 11 deletions
diff --git a/scripts/update-developer-layout.sh b/scripts/update-developer-layout.sh
index 9f2b9977..7beea6f5 100755
--- a/scripts/update-developer-layout.sh
+++ b/scripts/update-developer-layout.sh
@@ -7,27 +7,29 @@
# out in the standard dev layout, or used checkout-developer-layout.sh to
# checkout your pd source tree
-cvs_root_dir=$(echo $0 | sed 's|\(.*\)/.*$|\1|')/..
+cd "$(echo $0 | sed 's|\(.*\)/.*$|\1|')/.."
+svn_root_dir=`pwd`
SVNOPTIONS="--ignore-externals"
-cd $cvs_root_dir
-echo "Running svn update:"
+cd $svn_root_dir
+echo "Running svn update in $svn_root_dir:"
svn update ${SVNOPTIONS}
echo "Running svn update for svn-externals individually:"
-for section in externals/*; do
- echo "Section: $section"
- cd $section
- svn update ${SVNOPTIONS}
- cd ../..
+for subsection in $svn_root_dir/externals/*; do
+ test -d $subsection || continue
+ echo "Subsection: $subsection"
+ cd "$subsection"
+ svn update ${SVNOPTIONS}
done
+cd "$svn_root_dir"
echo "Running svn update for other sections:"
for section in abstractions doc externals packages pd scripts; do
- echo "Section: $section"
- cd $section
+ echo "Section: $svn_root_dir/$section"
+ cd "$svn_root_dir/$section"
svn update ${SVNOPTIONS}
- cd ..
+ cd ..
done
test -e $dir/pd/.git && \